com.genesyslab.wfm7.API.service.calendar760

## Class CalAvailabilityPatternHeader

- java.lang.Object
- - com.genesyslab.wfm7.API.service.calendar760.CalAvailabilityPatternHeader

- All Implemented Interfaces:
    java.io.Serializable

      public class CalAvailabilityPatternHeader
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.lang.Object` | `__equalsCalc`
    `private boolean` | `__hashCodeCalc`
    `private java.lang.String` | `description` Availability pattern name
    `private int` | `patternId` Availability pattern ID

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CalAvailabilityPatternHeader()`
    `CalAvailabilityPatternHeader(int patternId, java.lang.String description)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `java.lang.String` | `getDescription()` Gets the description value for this CalAvailabilityPatternHeader.
    `int` | `getPatternId()` Gets the patternId value for this CalAvailabilityPatternHeader.
    `int` | `hashCode()`
    `void` | `setDescription(java.lang.String description)` Sets the description value for this CalAvailabilityPatternHeader.
    `void` | `setPatternId(int patternId)` Sets the patternId value for this CalAvailabilityPatternHeader.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### patternId

          private int patternId

      Availability pattern ID

    - #### description

          private java.lang.String description

      Availability pattern name

    - #### __equalsCalc

          private java.lang.Object __equalsCalc

    - #### __hashCodeCalc

          private boolean __hashCodeCalc

  - ### Constructor Detail

    - #### CalAvailabilityPatternHeader

          public CalAvailabilityPatternHeader()

    - #### CalAvailabilityPatternHeader

          public CalAvailabilityPatternHeader(int patternId,
                                      java.lang.String description)

  - ### Method Detail

    - #### getPatternId

          public int getPatternId()

      Gets the patternId value for this CalAvailabilityPatternHeader.
      Returns:
        patternId

    - #### setPatternId

          public void setPatternId(int patternId)

      Sets the patternId value for this CalAvailabilityPatternHeader.
      Parameters:
        `patternId` -

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description value for this CalAvailabilityPatternHeader.
      Returns:
        description

    - #### setDescription

          public void setDescription(java.lang.String description)

      Sets the description value for this CalAvailabilityPatternHeader.
      Parameters:
        `description` -

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.